Index: src/libbu/tests/bu_vls_vprintf.c
===================================================================
--- src/libbu/tests/bu_vls_vprintf.c	(revision 54118)
+++ src/libbu/tests/bu_vls_vprintf.c	(working copy)
@@ -68,7 +68,7 @@
 
 
 int
-check_format_chars()
+check_format_chars(void)
 {
   int status = 0; /* assume okay */
   int i, flags;
Index: src/libbu/tests/bu_sscanf.c
===================================================================
--- src/libbu/tests/bu_sscanf.c	(revision 54118)
+++ src/libbu/tests/bu_sscanf.c	(working copy)
@@ -304,7 +304,7 @@
 #define LARGE_FLT 1.0e+37
 
 static void
-doNumericTests()
+doNumericTests(void)
 {
 #define TEST_SIGNED_CONSTANT(str, fmt) \
     test_sscanf(SCAN_SHORTSHORT, str, "%hh" bu_cpp_str(fmt)); \
@@ -422,7 +422,7 @@
 }
 
 static void
-doStringTests()
+doStringTests(void)
 {
     int bu_ret;
     char buf[TS_STR_SIZE];
@@ -488,7 +488,7 @@
 }
 
 static void
-doPointerTests()
+doPointerTests(void)
 {
     test_sscanf(SCAN_POINTER, "0", "%p");
     test_sscanf(SCAN_POINTER, bu_cpp_xstr(UNSIGNED_L_HEX), "%p");
@@ -533,7 +533,7 @@
 }
 
 static void
-doNonConversionTests()
+doNonConversionTests(void)
 {
     /* %n - don't convert/assign, but do store consumed char count */
     test_sscanf_noconv(". \tg\t\tn i    RTSA si sihT", ". g n i RTSA%n");
@@ -590,7 +590,7 @@
 }
 
 static void
-doWidthTests()
+doWidthTests(void)
 {
     int i;
     int ret, bu_ret;
@@ -649,7 +649,7 @@
 }
 
 static void
-doErrorTests()
+doErrorTests(void)
 {
     int i, ret, bu_ret;
 
@@ -736,7 +736,7 @@
 }
 
 static void
-doVlsTests()
+doVlsTests(void)
 {
     int bu_ret;
     struct bu_vls vls = BU_VLS_INIT_ZERO;
Index: src/libbu/simd.c
===================================================================
--- src/libbu/simd.c	(revision 54118)
+++ src/libbu/simd.c	(working copy)
@@ -22,7 +22,7 @@
 #include "bu.h"
 
 int
-bu_simd_level()
+bu_simd_level(void)
 {
 #if defined(__GNUC__) && defined(__SSE__)
     int c=0, d=0;
Index: src/libbu/endian.c
===================================================================
--- src/libbu/endian.c	(revision 54118)
+++ src/libbu/endian.c	(working copy)
@@ -24,7 +24,7 @@
 
 
 inline bu_endian_t
-bu_byteorder()
+bu_byteorder(void)
 {
     const union bob {
 	unsigned long i;
Index: src/libbu/bitv.c
===================================================================
--- src/libbu/bitv.c	(revision 54118)
+++ src/libbu/bitv.c	(working copy)
@@ -71,7 +71,7 @@
  * BU_BITV_SHIFT macro instead.
  */
 inline unsigned int
-bu_bitv_shift()
+bu_bitv_shift(void)
 {
     return floor_ilog2(sizeof(bitv_t)*8);
 }
Index: src/libbu/log.c
===================================================================
--- src/libbu/log.c	(revision 54118)
+++ src/libbu/log.c	(working copy)
@@ -95,7 +95,7 @@
 
 
 void
-bu_log_hook_delete_all()
+bu_log_hook_delete_all(void)
 {
     bu_hook_delete_all(&log_hook_list);
 }
Index: src/libbu/units.c
===================================================================
--- src/libbu/units.c	(revision 54118)
+++ src/libbu/units.c	(working copy)
@@ -284,7 +284,7 @@
 }
 
 struct bu_vls *
-bu_units_strings_vls()
+bu_units_strings_vls(void)
 {
     register const struct cvt_tab *tp;
     struct bu_vls *vlsp;
Index: src/libbu/progname.c
===================================================================
--- src/libbu/progname.c	(revision 54118)
+++ src/libbu/progname.c	(working copy)
@@ -43,7 +43,7 @@
  * be acquired/set.
  */
 HIDDEN const char *
-progname_ipwd()
+progname_ipwd(void)
 {
     /* private stash */
     static const char *ipwd = NULL;
Index: src/libbu/process.c
===================================================================
--- src/libbu/process.c	(revision 54118)
+++ src/libbu/process.c	(working copy)
@@ -29,7 +29,7 @@
 
 
 int
-bu_process_id()
+bu_process_id(void)
 {
 #ifdef HAVE_UNISTD_H
     return getpid();
Index: src/libbu/interrupt.c
===================================================================
--- src/libbu/interrupt.c	(revision 54118)
+++ src/libbu/interrupt.c	(working copy)
@@ -163,7 +163,7 @@
 
 
 int
-bu_suspend_interrupts()
+bu_suspend_interrupts(void)
 {
     int ret = 0;
 
@@ -189,7 +189,7 @@
 
 
 int
-bu_restore_interrupts()
+bu_restore_interrupts(void)
 {
     int ret = 0;
 
Index: src/libbu/brlcad_path.c
===================================================================
--- src/libbu/brlcad_path.c	(revision 54118)
+++ src/libbu/brlcad_path.c	(working copy)
@@ -46,7 +46,7 @@
 
 
 HIDDEN const char *
-_brlcad_data()
+_brlcad_data(void)
 {
     static char path[MAXPATHLEN] = {0};
 #ifndef BRLCAD_DATA
Index: src/burst/trie.c
===================================================================
--- src/burst/trie.c	(revision 54118)
+++ src/burst/trie.c	(working copy)
@@ -214,7 +214,7 @@
 
 
 void
-ring_Bell()
+ring_Bell(void)
 {
     (void) putchar(BEL);
     return;
Index: src/burst/paint.c
===================================================================
--- src/burst/paint.c	(revision 54118)
+++ src/burst/paint.c	(working copy)
@@ -62,7 +62,7 @@
 
 
 void
-paintGridFb()
+paintGridFb(void)
 {
     int fx, fy;
     int fxbeg, fybeg;
Index: src/burst/ui.c
===================================================================
--- src/burst/ui.c	(revision 54118)
+++ src/burst/ui.c	(working copy)
@@ -425,7 +425,7 @@
   to border the top of the scrolling region.
 */
 static void
-banner()
+banner(void)
 {
     (void) snprintf(scrbuf, LNBUFSZ, "%s", bannerp);
     HmBanner(scrbuf, BORDER_CHR);
@@ -434,7 +434,7 @@
 
 
 void
-closeUi()
+closeUi(void)
 {
     ScMvCursor(1, ScLI);
     return;
@@ -507,7 +507,7 @@
 
 
 int
-initUi()
+initUi(void)
 {
     if (tty) {
 	if (! ScInit(stdout))
Index: src/burst/plot.c
===================================================================
--- src/burst/plot.c	(revision 54118)
+++ src/burst/plot.c	(working copy)
@@ -38,7 +38,7 @@
 #include "./extern.h"
 
 void
-plotInit()
+plotInit(void)
 {
     int x_1, y_1, z_1, x_2, y_2, z_2;
     if (plotfp == NULL)
Index: src/burst/prnt.c
===================================================================
--- src/burst/prnt.c	(revision 54118)
+++ src/burst/prnt.c	(working copy)
@@ -187,7 +187,7 @@
   Ref. Figure 20., Line Number 1 and Figure 19., Line Number 1 of ICD.
 */
 void
-prntAspectInit()
+prntAspectInit(void)
 {
     fastf_t projarea;	/* projected area */
     /* Convert to user units before squaring cell size. */
@@ -671,9 +671,7 @@
     prntRegionHdr(ap, pt_headp, qp->q_part, entrynorm, exitnorm);
 }
 void
-prntColors(colorp, str)
-    Colors *colorp;
-    char *str;
+prntColors(Colors *colorp, char *str)
 {
     brst_log("%s:\n", str);
     for (colorp = colorp->c_next;
@@ -896,7 +894,7 @@
     NULL
 };
 void
-prntUsage()
+prntUsage(void)
 {
     char **p = usage;
     while (*p != NULL)
Index: src/burst/grid.c
===================================================================
--- src/burst/grid.c	(revision 54118)
+++ src/burst/grid.c	(working copy)
@@ -147,7 +147,7 @@
   burst point coordinates.
 */
 static int
-doBursts()
+doBursts(void)
 {
     int			status = 1;
     noverlaps = 0;
@@ -981,7 +981,7 @@
   Grid initialization routine; must be done once per view.
 */
 void
-gridInit()
+gridInit(void)
 {
     notify("Initializing grid", NOTIFY_APPEND);
     rt_prep_timer();
@@ -1198,7 +1198,7 @@
   This routine dispatches the top-level ray tracing task.
 */
 void
-gridModel()
+gridModel(void)
 {
     ag.a_onehit = 0;
     ag.a_overlap = reportoverlaps ? f_Overlap : f_HushOverlap;
@@ -1254,7 +1254,7 @@
   error or EOF in getting the next set of firing coordinates.
 */
 static int
-gridShot()
+gridShot(void)
 {
     int status = 1;
     struct application a;
@@ -1461,7 +1461,7 @@
   distribution algorithm from the number requested.
 */
 void
-spallInit()
+spallInit(void)
 {
     fastf_t	theta;	 /* solid angle of spall sampling cone */
     fastf_t phi;	 /* angle between ray and cone axis */
@@ -1581,7 +1581,7 @@
 
 
 static int
-burstRay()
+burstRay(void)
 {
     /* Need local copy of all but readonly variables for concurrent
        threads of execution. */
@@ -1667,7 +1667,7 @@
 
 /*	v i e w _ e n d () */
 static void
-view_end()
+view_end(void)
 {
     if (gridfile[0] != NUL)
 	(void) fflush(gridfp);
Index: src/burst/idents.c
===================================================================
--- src/burst/idents.c	(revision 54118)
+++ src/burst/idents.c	(working copy)
@@ -39,9 +39,7 @@
 #define DEBUG_IDENTS 0
 
 int
-findIdents(ident, idp)
-    int ident;
-    Ids *idp;
+findIdents(int ident, Ids *idp)
 {
 #if DEBUG_IDENTS
     brst_log("findIdents(%d)\n", ident);
Index: src/burst/fb.c
===================================================================
--- src/burst/fb.c	(revision 54118)
+++ src/burst/fb.c	(working copy)
@@ -38,7 +38,7 @@
 
 
 int
-imageInit()
+imageInit(void)
 {
     int needopen = 0;
     static char lastfbfile[LNBUFSZ]={0}; /* last fbfile */
@@ -124,7 +124,7 @@
 
 
 int
-closFbDevice()
+closFbDevice(void)
 {
     int ret;
     notify("Closing frame buffer", NOTIFY_APPEND);
Index: src/fbed/fbed.c
===================================================================
--- src/fbed/fbed.c	(revision 54118)
+++ src/fbed/fbed.c	(working copy)
@@ -2076,8 +2076,7 @@
 
 /*	g e t _ F b _ P a n e l ( ) */
 RGBpixel *
-get_Fb_Panel( rectp )
-    Rect2D *rectp;
+get_Fb_Panel(Rect2D *rectp)
 {
     int top;
     int rectwid;
Index: src/librt/primitives/revolve/revolve.c
===================================================================
--- src/librt/primitives/revolve/revolve.c	(revision 54118)
+++ src/librt/primitives/revolve/revolve.c	(working copy)
@@ -1191,7 +1191,7 @@
  * R T _ R E V O L V E _ C L A S S
  */
 int
-rt_revolve_class()
+rt_revolve_class(void)
 {
     return 0;
 }
Index: src/librt/mater.c
===================================================================
--- src/librt/mater.c	(revision 54118)
+++ src/librt/mater.c	(working copy)
@@ -247,7 +247,7 @@
  * returns the material linked list head node
  */
 struct mater *
-rt_material_head()
+rt_material_head(void)
 {
     return material_head;
 }
@@ -267,7 +267,7 @@
  * returns a copy of the material linked list head node
  */
 struct mater *
-rt_dup_material_head()
+rt_dup_material_head(void)
 {
     register struct mater *mp = NULL;
     register struct mater *newmp = NULL;
Index: src/nirt/command.c
===================================================================
--- src/nirt/command.c	(revision 54118)
+++ src/nirt/command.c	(working copy)
@@ -321,7 +321,7 @@
 }
 
 void
-quit()
+quit(void)
 {
     if (silent_flag != SILENT_YES)
 	(void) fputs("Quitting...\n", stdout);
@@ -329,7 +329,7 @@
 }
 
 void
-show_menu()
+show_menu(void)
 {
     com_table *ctp;
 
Index: src/util/pixbustup.c
===================================================================
--- src/util/pixbustup.c	(revision 54118)
+++ src/util/pixbustup.c	(working copy)
@@ -41,7 +41,7 @@
 static size_t pix_line;		/* Number of pixels/line */
 
 static void
-printUsage()
+printUsage(void)
 {
     bu_log("Usage: pixbustup basename width [image_offset] [first_number] <input.pix\n");
 }
Index: src/util/bombardier.c
===================================================================
--- src/util/bombardier.c	(revision 54118)
+++ src/util/bombardier.c	(working copy)
@@ -139,7 +139,7 @@
  * Tk_Main never returns
  */
 static void
-_free_report_memory()
+_free_report_memory(void)
 {
     /* release our report string */
     if (report) {
Index: src/util/pl-dm.c
===================================================================
--- src/util/pl-dm.c	(revision 54118)
+++ src/util/pl-dm.c	(working copy)
@@ -169,7 +169,7 @@
  */
 
 static void
-refresh() {
+refresh(void) {
     size_t i;
     struct plot_list *plp;
 
@@ -339,7 +339,7 @@
  * Centralized here to simplify things.
  */
 static void
-new_mats()
+new_mats(void)
 {
     bn_mat_mul(model2view, Viewrot, toViewcenter);
     model2view[15] = Viewscale;
@@ -498,7 +498,7 @@
  * Caller is responsible for calling new_mats().
  */
 static void
-size_reset()
+size_reset(void)
 {
     size_t i;
     struct bn_vlist *tvp;
@@ -1054,7 +1054,7 @@
  * Open an X display manager.
  */
 static int
-X_dmInit()
+X_dmInit(void)
 {
     fastf_t windowbounds[6] = { 2047.0, -2048.0, 2047.0, -2048.0, 2047.0, -2048.0 };
     const char *av[4];
@@ -1080,7 +1080,7 @@
  * Open an OGL display manager.
  */
 static int
-Ogl_dmInit()
+Ogl_dmInit(void)
 {
     fastf_t windowbounds[6] = { 2047.0, -2048.0, 2047.0, -2048.0, 2047.0, -2048.0 };
     char *av[4];
Index: src/libged/bot_dump.c
===================================================================
--- src/libged/bot_dump.c	(revision 54118)
+++ src/libged/bot_dump.c	(working copy)
@@ -154,7 +154,7 @@
 
 
 static void
-free_obj_materials() {
+free_obj_materials(void) {
     struct _ged_obj_material *gomp;
 
     while (BU_LIST_WHILE(gomp, _ged_obj_material, &HeadObjMaterials)) {
Index: src/libtermio/termio.c
===================================================================
--- src/libtermio/termio.c	(revision 54118)
+++ src/libtermio/termio.c	(working copy)
@@ -466,8 +466,7 @@
 
 /* p r n t _ T i o ()						*/
 void
-prnt_Tio(msg, tio_ptr)
-    char *msg;
+prnt_Tio(char *msg, tio_ptr)
 #ifdef BSD
     struct sgttyb *tio_ptr;
 #endif
Index: src/proc-db/nmgmodel.c
===================================================================
--- src/proc-db/nmgmodel.c	(revision 54118)
+++ src/proc-db/nmgmodel.c	(working copy)
@@ -490,7 +490,7 @@
 
 
 void
-make_1manifold_bits()
+make_1manifold_bits(void)
 {
     struct edgeuse *eu;
 
@@ -507,7 +507,7 @@
 
 
 void
-make_0manifold_bits()
+make_0manifold_bits(void)
 {
     struct shell *sp;
 
Index: src/proc-db/pdb-g.c
===================================================================
--- src/proc-db/pdb-g.c	(revision 54118)
+++ src/proc-db/pdb-g.c	(working copy)
@@ -38,7 +38,7 @@
 
 
 void
-mk_protein()
+mk_protein(void)
 {
     return;
 }
Index: src/fb/fbcmap.c
===================================================================
--- src/fb/fbcmap.c	(revision 54118)
+++ src/fb/fbcmap.c	(working copy)
@@ -623,7 +623,7 @@
 
 
 static void
-usage()
+usage(void)
 {
     (void) fprintf(stderr, "Usage: fbcmap [-h] [-F framebuffer]\n");
     (void) fprintf(stderr, "	[-{sS} squarescrsize] [-{wW} scr_width] [-{nN} scr_height]\n");
Index: src/fb/fbzoom.c
===================================================================
--- src/fb/fbzoom.c	(revision 54118)
+++ src/fb/fbzoom.c	(working copy)
@@ -143,7 +143,7 @@
 #define ctl(x)	(x&037)
 
 static void
-printUsage()
+printUsage(void)
 {
     bu_log("\n\nBoth VI and EMACS motions work.\r\n");
     bu_log("b ^V	zoom Bigger (*2) s	zoom Smaller (*0.5)\n");
Index: src/adrt/load.c
===================================================================
--- src/adrt/load.c	(revision 54118)
+++ src/adrt/load.c	(working copy)
@@ -36,7 +36,7 @@
 adrt_mesh_t *slave_load_mesh_list;
 
 void
-slave_load_free()
+slave_load_free(void)
 {
 #if 0
     int i;
Index: src/canon/canonlib.c
===================================================================
--- src/canon/canonlib.c	(revision 54118)
+++ src/canon/canonlib.c	(working copy)
@@ -82,8 +82,7 @@
 /*
  *	U S A G E --- tell user how to invoke this program, then exit
  */
-void usage(s)
-    char *s;
+void usage(char *s)
 {
     if (s) (void)fputs(s, stderr);
 
@@ -104,9 +103,7 @@
 /*
  *	P A R S E _ A R G S --- Parse through command line flags
  */
-int parse_args(ac, av)
-    int ac;
-    char *av[];
+int parse_args(int ac, char *av[])
 {
     int  c;
     char *p;
Index: src/canon/canonize.c
===================================================================
--- src/canon/canonize.c	(revision 54118)
+++ src/canon/canonize.c	(working copy)
@@ -43,8 +43,7 @@
  *	send an image off into the printer queuing system
  */
 void
-queue(fp)
-    FILE *fp;
+queue(FILE *fp)
 {
     char img_buffer[8 * 1024];
     int img_bytes, i, args, bytes_read, bytes_written;
Index: src/conv/iges/get_vertex.c
===================================================================
--- src/conv/iges/get_vertex.c	(revision 54118)
+++ src/conv/iges/get_vertex.c	(working copy)
@@ -53,9 +53,7 @@
 
 
 int
-Put_vertex(v, edge)
-    struct vertex *v;
-    struct iges_edge_use *edge;
+Put_vertex(struct vertex *v, struct iges_edge_use *edge)
 {
     struct iges_edge_list *e_list;
     struct iges_edge_list *el;
@@ -98,8 +96,7 @@
 
 
 struct iges_edge *
-Get_edge(e_use)
-    struct iges_edge_use *e_use;
+Get_edge(struct iges_edge_use *e_use)
 {
     struct iges_edge_list *e_list;
 
@@ -111,8 +108,7 @@
 
 
 struct vertex *
-Get_edge_start_vertex(edge)
-    struct iges_edge *edge;
+Get_edge_start_vertex(struct iges_edge *edge)
 {
     struct iges_vertex_list *v_list;
 
@@ -124,8 +120,7 @@
 
 
 struct vertex *
-Get_edge_end_vertex(edge)
-    struct iges_edge *edge;
+Get_edge_end_vertex(struct iges_edge *edge)
 {
     struct iges_vertex_list *v_list;
 
Index: src/conv/iges/do_subfigs.c
===================================================================
--- src/conv/iges/do_subfigs.c	(revision 54118)
+++ src/conv/iges/do_subfigs.c	(working copy)
@@ -23,7 +23,7 @@
 
 
 void
-Do_subfigs()
+Do_subfigs(void)
 {
     int i, j;
     int entity_type;
Index: src/conv/iges/check_names.c
===================================================================
--- src/conv/iges/check_names.c	(revision 54118)
+++ src/conv/iges/check_names.c	(working copy)
@@ -23,8 +23,7 @@
 #include <ctype.h>
 
 char *
-Add_brl_name(name)
-    char *name;
+Add_brl_name(char *name)
 {
     struct name_list *ptr;
     size_t namelen;
@@ -151,7 +150,7 @@
 
 
 void
-Skip_field()
+Skip_field(void)
 {
     int done = 0;
     int lencard;
@@ -186,9 +185,7 @@
 
 
 void
-Get_name(entityno, skip)
-    int entityno;
-    int skip;
+Get_name(int entityno, int skip)
 {
     int sol_num;
     int i, j, k;
@@ -251,8 +248,7 @@
 
 
 void
-Get_drawing_name(entityno)
-    int entityno;
+Get_drawing_name(int entityno)
 {
     int entity_type;
     int no_of_views;
@@ -327,8 +323,7 @@
 
 
 void
-Get_csg_name(entityno)
-    int entityno;
+Get_csg_name(int entityno)
 {
     int sol_num;
     int i, j, k;
@@ -402,8 +397,7 @@
 
 
 void
-Get_brep_name(entityno)
-    int entityno;
+Get_brep_name(int entityno)
 {
     int sol_num;
     int i, j, k;
@@ -476,8 +470,7 @@
 
 
 void
-Get_subfig_name(entityno)
-    int entityno;
+Get_subfig_name(int entityno)
 {
     int i;
     int entity_type;
@@ -513,7 +506,7 @@
 
 
 void
-Check_names()
+Check_names(void)
 {
     int i;
 
Index: src/conv/iges/findp.c
===================================================================
--- src/conv/iges/findp.c	(revision 54118)
+++ src/conv/iges/findp.c	(working copy)
@@ -32,7 +32,7 @@
 #include "./iges_extern.h"
 
 int
-Findp()
+Findp(void)
 {
     int saverec, rec2, i;
     long offset;
@@ -91,7 +91,7 @@
 
 
 void
-Free_dir()
+Free_dir(void)
 {
     int i;
 
Index: src/conv/iges/conv_drawings.c
===================================================================
--- src/conv/iges/conv_drawings.c	(revision 54118)
+++ src/conv/iges/conv_drawings.c	(working copy)
@@ -40,9 +40,7 @@
 struct bu_list free_hd;
 
 void
-Getstrg(str, id)
-    char **str;
-    char *id;
+Getstrg(char **str, char *id)
 {
     int i = (-1), length = 0, done = 0, lencard;
     char num[80];
@@ -108,9 +106,7 @@
 
 
 void
-Note_to_vlist(entno, vhead)
-    int entno;
-    struct bu_list *vhead;
+Note_to_vlist(int entno,struct bu_list *vhead)
 {
     int entity_type;
     int nstrings = 0;
@@ -201,9 +197,7 @@
 
 
 void
-Get_plane(pl, entno)
-    plane_t pl;
-    int entno;
+Get_plane(plane_t pl, int entno)
 {
     int entity_type;
     int i;
@@ -221,9 +215,7 @@
 
 
 void
-Curve_to_vlist(vhead, ptlist)
-    struct bu_list *vhead;
-    struct ptlist *ptlist;
+Curve_to_vlist(struct bu_list *vhead, struct ptlist *ptlist)
 {
     struct ptlist *ptr;
 
@@ -246,9 +238,7 @@
 
 
 void
-Leader_to_vlist(entno, vhead)
-    int entno;
-    struct bu_list *vhead;
+Leader_to_vlist(int entno, struct bu_list *vhead)
 {
     int entity_type;
     int npts, i;
@@ -512,8 +502,7 @@
 
 
 struct views_visible *
-Get_views_visible(entno)
-    int entno;
+Get_views_visible(int entno)
 {
     int entity_type;
     int no_of_views;
@@ -554,11 +543,7 @@
 
 
 void
-Do_view(m, view_vis_list, entno, x, y, ang)
-    struct model *m;
-    struct bu_ptbl *view_vis_list;
-    int entno;
-    fastf_t x, y, ang;
+Do_view(struct model *m, struct bu_ptbl *view_vis_list, int entno, fastf_t x, fastf_t y, fastf_t ang)
 {
     int view_de;
     int entity_type;
@@ -658,9 +643,7 @@
 
 
 void
-Get_drawing(entno, view_vis_list)
-    int entno;
-    struct bu_ptbl *view_vis_list;
+Get_drawing(int entno, struct bu_ptbl *view_vis_list)
 {
     int entity_type;
     int no_of_views;
@@ -730,7 +713,7 @@
 	}
 
 void
-Conv_drawings()
+Conv_drawings(void)
 {
     int i;
     int tot_drawings = 0;
Index: src/conv/iges/recsize.c
===================================================================
--- src/conv/iges/recsize.c	(revision 54118)
+++ src/conv/iges/recsize.c	(working copy)
@@ -47,7 +47,7 @@
 		   */
 
 int
-Recsize()
+Recsize(void)
 {
 
     int i, j, k = (-1), recl = 0, length[NRECS] = {0}, ch;
Index: src/conv/iges/stack.c
===================================================================
--- src/conv/iges/stack.c	(revision 54118)
+++ src/conv/iges/stack.c	(working copy)
@@ -26,7 +26,7 @@
 static int jtop, stklen;
 
 void
-Initstack()
+Initstack(void)
 {
 
     jtop = (-1);
@@ -43,8 +43,7 @@
 /* This function pushes a pointer onto the stack. */
 
 void
-Push(ptr)
-    union tree *ptr;
+Push(union tree *ptr)
 {
 
     jtop++;
@@ -66,7 +65,7 @@
 
 
 union tree *
-Pop()
+Pop(void)
 {
     union tree *ptr;
 
@@ -82,7 +81,7 @@
 
 
 void
-Freestack()
+Freestack(void)
 {
     jtop = (-1);
     return;
Index: src/conv/iges/add_face.c
===================================================================
--- src/conv/iges/add_face.c	(revision 54118)
+++ src/conv/iges/add_face.c	(working copy)
@@ -22,10 +22,7 @@
 #include "./iges_extern.h"
 
 struct faceuse *
-Add_face_to_shell(s, entityno, face_orient)
-    struct shell *s;
-    int entityno;
-    int face_orient;
+Add_face_to_shell(struct shell *s, int entityno, int face_orient)
 {
 
     int sol_num;		/* IGES solid type number */
Index: src/conv/iges/g-iges.c
===================================================================
--- src/conv/iges/g-iges.c	(revision 54118)
+++ src/conv/iges/g-iges.c	(working copy)
@@ -659,11 +659,7 @@
 static int de_pointer_number;
 
 int
-get_de_pointers(tp, dp, de_len, de_pointers)
-    union tree *tp;
-    struct directory *dp;
-    int de_len;
-    int *de_pointers;
+get_de_pointers(union tree *tp, struct directory *dp, int de_len, int *de_pointers)
 {
     RT_CK_TREE(tp);
     RT_CK_DIR(dp);
Index: src/conv/iges/orient_loops.c
===================================================================
--- src/conv/iges/orient_loops.c	(revision 54118)
+++ src/conv/iges/orient_loops.c	(working copy)
@@ -111,8 +111,7 @@
 
 
 void
-Orient_face_loops(fu)
-    struct faceuse *fu;
+Orient_face_loops(struct faceuse *fu)
 {
     struct loopuse *lu;
     struct loopuse *lu_outer = NULL;
@@ -197,8 +196,7 @@
 
 
 void
-Orient_nurb_face_loops(fu)
-    struct faceuse *fu;
+Orient_nurb_face_loops(struct faceuse *fu)
 {
     struct face *f;
     struct face_g_snurb *fg;
@@ -248,8 +246,7 @@
 
 
 void
-Orient_loops(r)
-    struct nmgregion *r;
+Orient_loops(struct nmgregion *r)
 {
     struct shell *s;
 
Index: src/conv/iges/makedir.c
===================================================================
--- src/conv/iges/makedir.c	(revision 54118)
+++ src/conv/iges/makedir.c	(working copy)
@@ -32,7 +32,7 @@
 #define CR '\015'
 
 void
-Makedir()
+Makedir(void)
 {
 
     int found, i, saverec, entcount = (-1), paramptr = 0, paramguess = 0;
Index: src/conv/iges/main.c
===================================================================
--- src/conv/iges/main.c	(revision 54118)
+++ src/conv/iges/main.c	(working copy)
@@ -88,7 +88,7 @@
 'iges-g -t -o file.g %s'\n";
 
 void
-Suggestions()
+Suggestions(void)
 {
     int i;
     int csg = 0;
Index: src/conv/iges/convtree.c
===================================================================
--- src/conv/iges/convtree.c	(revision 54118)
+++ src/conv/iges/convtree.c	(working copy)
@@ -36,7 +36,7 @@
 
 
 void
-Convtree()
+Convtree(void)
 {
 
     int conv = 0;
Index: src/conv/iges/convsurf.c
===================================================================
--- src/conv/iges/convsurf.c	(revision 54118)
+++ src/conv/iges/convsurf.c	(working copy)
@@ -30,7 +30,7 @@
 
 
 void
-Convsurfs()
+Convsurfs(void)
 {
 
     int i, totsurfs = 0, convsurf = 0;
Index: src/conv/iges/trimsurf.c
===================================================================
--- src/conv/iges/trimsurf.c	(revision 54118)
+++ src/conv/iges/trimsurf.c	(working copy)
@@ -48,9 +48,7 @@
 
 
 struct face_g_snurb *
-Get_nurb_surf(entityno, m)
-    int entityno;
-    struct model *m;
+Get_nurb_surf(int entityno, struct model *m)
 {
     struct face_g_snurb *srf;
     point_t pt;
@@ -193,9 +191,7 @@
 
 
 void
-Assign_cnurb_to_eu(eu, crv)
-    struct edgeuse *eu;
-    struct edge_g_cnurb *crv;
+Assign_cnurb_to_eu(struct edgeuse *eu, struct edge_g_cnurb *crv)
 {
     fastf_t *ctl_points;
     fastf_t *knots;
@@ -226,8 +222,7 @@
 
 
 struct edge_g_cnurb *
-Get_cnurb(entity_no)
-    int entity_no;
+Get_cnurb(int entity_no)
 {
     struct edge_g_cnurb *crv;
     point_t pt, pt2;
@@ -314,10 +309,7 @@
 
 
 void
-Assign_vu_geom(vu, u, v, srf)
-    struct vertexuse *vu;
-    fastf_t u, v;
-    struct face_g_snurb *srf;
+Assign_vu_geom(struct vertexuse *vu, fastf_t u, fastf_t v, struct face_g_snurb *srf)
 {
     point_t uvw;
     hpoint_t pt_on_srf;
@@ -371,10 +363,7 @@
 
 
 void
-Add_trim_curve(entity_no, lu, srf)
-    int entity_no;
-    struct loopuse *lu;
-    struct face_g_snurb *srf;
+Add_trim_curve(int entity_no, struct loopuse *lu, struct face_g_snurb *srf)
 {
     int entity_type;
     struct edge_g_cnurb *crv;
@@ -540,11 +529,7 @@
 
 
 struct loopuse *
-Make_trim_loop(entity_no, orientation, srf, fu)
-    int entity_no;
-    int orientation;
-    struct face_g_snurb *srf;
-    struct faceuse *fu;
+Make_trim_loop(int entity_no, int orientation, struct face_g_snurb *srf, struct faceuse *fu)
 {
     struct loopuse *lu;
     struct edgeuse *eu;
@@ -729,7 +714,7 @@
 
 
 struct loopuse *
-Make_loop(entity_no, orientation, on_surf_de, srf, fu)
+Make_loop(int entity_no, int orientation, int on_surf_de, struct face_g_snurb *srf, struct faceuse *fu)
     int entity_no;
     int orientation;
     int on_surf_de;
@@ -772,9 +757,7 @@
 
 
 struct loopuse *
-Make_default_loop(srf, fu)
-    struct face_g_snurb *srf;
-    struct faceuse *fu;
+Make_default_loop(struct face_g_snurb *srf, struct faceuse *fu)
 {
     struct loopuse *lu;
     struct edgeuse *eu;
@@ -893,9 +876,7 @@
 
 
 void
-Assign_surface_to_fu(fu, srf)
-    struct faceuse *fu;
-    struct face_g_snurb *srf;
+Assign_surface_to_fu(struct faceuse *fu, struct face_g_snurb *srf)
 {
     struct face *f;
 
@@ -918,9 +899,7 @@
 
 
 struct faceuse *
-trim_surf(entityno, s)
-    int entityno;
-    struct shell *s;
+trim_surf(int entityno, struct shell *s)
 {
     struct model *m;
     struct face_g_snurb *srf;
@@ -1062,9 +1041,7 @@
 
 
 int
-uv_in_fu(u, v, fu)
-    fastf_t u, v;
-    struct faceuse *fu;
+uv_in_fu(fastf_t u, fastf_t v, struct faceuse *fu)
 {
     int ot_sames, ot_opps;
     struct loopuse *lu;
@@ -1102,11 +1079,7 @@
  * in direction "ray_dir". Place hits on "hit_list"
  */
 void
-find_intersections(fu, mid_pt, ray_dir, hit_list)
-    struct faceuse *fu;
-    point_t mid_pt;
-    vect_t ray_dir;
-    struct bu_list *hit_list;
+find_intersections(struct faceuse *fu, point_t mid_pt, vect_t ray_dir, struct bu_list *hit_list)
 {
     plane_t pl1, pl2;
     struct bu_list bezier;
@@ -1215,9 +1188,7 @@
 
 /* adjust flip flag on faces using hit list data */
 void
-adjust_flips(hit_list, ray_dir)
-    struct bu_list *hit_list;
-    vect_t ray_dir;
+adjust_flips(struct bu_list *hit_list, vect_t ray_dir)
 {
     struct snurb_hit *hit;
     int enter = 0;
@@ -1250,9 +1221,7 @@
 
 /* Find a uv point that is actually in the face */
 int
-Find_uv_in_fu(u_in, v_in, fu)
-    fastf_t *u_in, *v_in;
-    struct faceuse *fu;
+Find_uv_in_fu(fastf_t *u_in, fastf_t *v_in, struct faceuse *fu)
 {
     struct face *f;
     struct face_g_snurb *fg;
@@ -1391,7 +1360,7 @@
 
 
 void
-Convtrimsurfs()
+Convtrimsurfs(void)
 {
 
     int i, convsurf = 0, totsurfs = 0;
Index: src/conv/iges/make_nurb_face.c
===================================================================
--- src/conv/iges/make_nurb_face.c	(revision 54118)
+++ src/conv/iges/make_nurb_face.c	(working copy)
@@ -330,9 +330,7 @@
 
 
 struct faceuse *
-Make_nurb_face(s, surf_entityno)
-    struct shell *s;
-    int surf_entityno;
+Make_nurb_face(struct shell *s, int surf_entityno)
 {
     struct vertex *verts[1];
     struct loopuse *lu;
Index: src/conv/iges/add_loop.c
===================================================================
--- src/conv/iges/add_loop.c	(revision 54118)
+++ src/conv/iges/add_loop.c	(working copy)
@@ -22,11 +22,7 @@
 #include "./iges_extern.h"
 
 int
-Add_loop_to_face(s, fu, entityno, face_orient)
-    struct shell *s;
-    struct faceuse *fu;
-    int entityno;
-    int face_orient;
+Add_loop_to_face(struct shell *s,struct faceuse *fu, int entityno, int face_orient)
 {
     struct faceuse *fu_tmp;
     plane_t pl_fu, pl_fu_tmp;
Index: src/conv/iges/convsolids.c
===================================================================
--- src/conv/iges/convsolids.c	(revision 54118)
+++ src/conv/iges/convsolids.c	(working copy)
@@ -29,7 +29,7 @@
 #include "./iges_extern.h"
 
 void
-Convsolids()
+Convsolids(void)
 {
 
     int i, totsolids = 0, conv = 0;
Index: src/conv/iges/read_att.c
===================================================================
--- src/conv/iges/read_att.c	(revision 54118)
+++ src/conv/iges/read_att.c	(working copy)
@@ -26,9 +26,7 @@
  * (att_de) and stores the values in the structure (att)
  */
 void
-Read_att(att_de, att)
-    int att_de;
-    struct brlcad_att *att;
+Read_att(int att_de, struct brlcad_att *att)
 {
     int entityno;
     int i;
Index: src/conv/iges/cyl.c
===================================================================
--- src/conv/iges/cyl.c	(revision 54118)
+++ src/conv/iges/cyl.c	(working copy)
@@ -22,8 +22,7 @@
 #include "./iges_extern.h"
 
 int
-cyl(entityno)
-    int entityno;
+cyl(int entityno)
 {
     fastf_t radius = 0.0;
     point_t base;		/* center point of base */
Index: src/conv/iges/get_att.c
===================================================================
--- src/conv/iges/get_att.c	(revision 54118)
+++ src/conv/iges/get_att.c	(working copy)
@@ -27,7 +27,7 @@
  * definition.
  */
 void
-Get_att()
+Get_att(void)
 {
     int i, j;
     char *str;
Index: src/conv/iges/readstart.c
===================================================================
--- src/conv/iges/readstart.c	(revision 54118)
+++ src/conv/iges/readstart.c	(working copy)
@@ -22,7 +22,7 @@
 #include "./iges_extern.h"
 
 void
-Readstart()
+Readstart(void)
 {
 
     int i = 0, done = 0;
Index: src/conv/iges/makegroup.c
===================================================================
--- src/conv/iges/makegroup.c	(revision 54118)
+++ src/conv/iges/makegroup.c	(working copy)
@@ -28,7 +28,7 @@
 #include "./iges_extern.h"
 
 void
-Makegroup()
+Makegroup(void)
 {
 
     int i, j, comblen = 0, nurbs = 0;
Index: src/conv/iges/convassem.c
===================================================================
--- src/conv/iges/convassem.c	(revision 54118)
+++ src/conv/iges/convassem.c	(working copy)
@@ -39,7 +39,7 @@
 
 
 void
-Convassem()
+Convassem(void)
 {
     int i, j, k, comblen, conv = 0, totass = 0;
     struct solid_list *root, *ptr, *ptr_tmp;
Index: src/conv/iges/showtree.c
===================================================================
--- src/conv/iges/showtree.c	(revision 54118)
+++ src/conv/iges/showtree.c	(working copy)
@@ -121,7 +121,7 @@
 /* The following are stack routines for character strings */
 
 static void
-Initastack()
+Initastack(void)
 {
     int i;
 
@@ -165,7 +165,7 @@
 
 
 static char *
-Apop()
+Apop(void)
 {
     char *ptr;
 
@@ -182,7 +182,7 @@
 
 /* Free the memory associated with the stack */
 static void
-Afreestack()
+Afreestack(void)
 {
 
     jtop = (-1);
@@ -194,7 +194,7 @@
 
 /* The following routines are stack routines for 'struct node' */
 static void
-Initsstack() /* initialize the stack */
+Initsstack(void) /* initialize the stack */
 {
 
     sjtop = (-1);
@@ -232,7 +232,7 @@
 
 
 static struct node *
-Spop()
+Spop(void)
 {
     struct node *ptr;
 
@@ -249,7 +249,7 @@
 
 /* free memory associated with the stack, but not the pointed to nodes */
 static void
-Sfreestack()
+Sfreestack(void)
 {
     sjtop = (-1);
     bu_free((char *)sstk_p, "Sfreestack: sstk_p");
Index: src/conv/iges/convinst.c
===================================================================
--- src/conv/iges/convinst.c	(revision 54118)
+++ src/conv/iges/convinst.c	(working copy)
@@ -22,7 +22,7 @@
 #include "./iges_extern.h"
 
 void
-Convinst()
+Convinst(void)
 {
 
     int i, j, k;
Index: src/conv/iges/ell.c
===================================================================
--- src/conv/iges/ell.c	(revision 54118)
+++ src/conv/iges/ell.c	(working copy)
@@ -22,8 +22,7 @@
 #include "./iges_extern.h"
 
 int
-ell(entityno)
-    int entityno;
+ell(int entityno)
 {
 
     fastf_t xscale = 0.0;
Index: src/conv/iges/revolve.c
===================================================================
--- src/conv/iges/revolve.c	(revision 54118)
+++ src/conv/iges/revolve.c	(working copy)
@@ -27,7 +27,7 @@
 #include "./iges_extern.h"
 #include "vmath.h"
 
-void Addsub();
+void Addsub(struct trclist *trc, struct trclist *ptr);
 
 
 struct subtracts
@@ -413,8 +413,7 @@
 
 /* Routine to add a name to the list of subtractions */
 void
-Addsub(trc, ptr)
-    struct trclist *trc, *ptr;
+Addsub(struct trclist *trc, struct trclist *ptr)
 {
     struct subtracts *subp;
 
Index: src/conv/iges/readcnv.c
===================================================================
--- src/conv/iges/readcnv.c	(revision 54118)
+++ src/conv/iges/readcnv.c	(working copy)
@@ -35,9 +35,7 @@
 #include "./iges_extern.h"
 
 void
-Readcnv(inum, id)
-    char *id;
-    fastf_t *inum;
+Readcnv(fastf_t *inum, char *id)
 {
     int i = (-1), done = 0, lencard;
     char num[80];
Index: src/conv/iges/iges.c
===================================================================
--- src/conv/iges/iges.c	(revision 54118)
+++ src/conv/iges/iges.c	(working copy)
@@ -1885,8 +1885,7 @@
 
 
 void
-w_terminate(fp)
-    FILE *fp;
+w_terminate(FILE *fp)
 {
     fprintf(fp, "S%07dG%07dD%07dP%07d%40.40sT0000001\n", start_len, global_len, dir_seq, param_seq, " ");
 }
Index: src/conv/iges/summary.c
===================================================================
--- src/conv/iges/summary.c	(revision 54118)
+++ src/conv/iges/summary.c	(working copy)
@@ -22,7 +22,7 @@
 #include "./iges_extern.h"
 
 void
-Summary()
+Summary(void)
 {
     int i;
     int indep_entities = 0;
@@ -45,7 +45,7 @@
 
 
 void
-Zero_counts()
+Zero_counts(void)
 {
     int i;
 
Index: src/conv/iges/docolor.c
===================================================================
--- src/conv/iges/docolor.c	(revision 54118)
+++ src/conv/iges/docolor.c	(working copy)
@@ -39,7 +39,7 @@
     { 8, 255, 255, 255 }};
 
 void
-Docolor()
+Docolor(void)
 {
 
     int i, j;
Index: src/conv/iges/evalxform.c
===================================================================
--- src/conv/iges/evalxform.c	(revision 54118)
+++ src/conv/iges/evalxform.c	(working copy)
@@ -34,7 +34,7 @@
 
 
 void
-Evalxform()
+Evalxform(void)
 {
 
     int i, j, xform;
Index: src/conv/g-dot.c
===================================================================
--- src/conv/g-dot.c	(revision 54118)
+++ src/conv/g-dot.c	(working copy)
@@ -211,7 +211,7 @@
 
 
 static void
-help()
+help(void)
 {
     bu_log("\n\t-? | -h | -H    (optional) displays this help");
     bu_log("\n\t-o output.dot   (optional) name of output Graphviz .dot file");
Index: src/conv/vdeck/vdeck.c
===================================================================
--- src/conv/vdeck/vdeck.c	(revision 54118)
+++ src/conv/vdeck/vdeck.c	(working copy)
@@ -1328,7 +1328,7 @@
  * object file.
  */
 void
-toc()
+toc(void)
 {
     struct directory *dp;
     int		count;
Index: src/conv/g-var.c
===================================================================
--- src/conv/g-var.c	(revision 54118)
+++ src/conv/g-var.c	(working copy)
@@ -108,7 +108,7 @@
 }
 
 
-void dealloc_mesh_list()
+void dealloc_mesh_list(void)
 {
     struct mesh* tmp;
     curr = head;
@@ -245,7 +245,7 @@
 }
 
 
-void write_mesh_data()
+void write_mesh_data(void)
 {
     size_t ret;
 
Index: src/conv/tankill/tankill-g.c
===================================================================
--- src/conv/tankill/tankill-g.c	(revision 54118)
+++ src/conv/tankill/tankill-g.c	(working copy)
@@ -112,7 +112,7 @@
  */
 
 static void
-usage()
+usage(void)
 {
     bu_log("Usage: tankill-g [-v] [-p] [-k] [-t tolerance] [-x lvl] [-X lvl] [-i input_tankill_file] [-o output_brlcad_model]\n");
     bu_log("    where tolerance is the minimum distance (mm) between distinct vertices,\n");
Index: src/conv/dxf/dxf-g.c
===================================================================
--- src/conv/dxf/dxf-g.c	(revision 54118)
+++ src/conv/dxf/dxf-g.c	(working copy)
@@ -277,7 +277,7 @@
 }
 
 static void
-get_layer()
+get_layer(void)
 {
     int i;
     int old_layer=curr_layer;
@@ -341,7 +341,7 @@
 }
 
 static void
-create_nmg()
+create_nmg(void)
 {
     struct model *m;
     struct nmgregion *r;
@@ -3049,7 +3049,7 @@
 }
 
 int
-readcodes()
+readcodes(void)
 {
     int code;
     size_t line_len;
Index: src/conv/fast4-g.c
===================================================================
--- src/conv/fast4-g.c	(revision 54118)
+++ src/conv/fast4-g.c	(working copy)
@@ -229,7 +229,7 @@
 static point_t *grid_points = NULL;
 
 static void
-usage() {
+usage(void) {
     bu_log("Usage:\n\tfast4-g [-dwq] [-c component_list] [-m muves_file] [-o plot_file] [-b BU_DEBUG_FLAG] [-x RT_DEBUG_FLAG] fastgen4_bulk_data_file output.g\n");
     bu_log("	d - print debugging info\n");
     bu_log("	q - quiet mode (don't say anything except error messages\n");
Index: src/conv/stl/stl-g.c
===================================================================
--- src/conv/stl/stl-g.c	(revision 54118)
+++ src/conv/stl/stl-g.c	(working copy)
@@ -385,7 +385,7 @@
 }
 
 static void
-Convert_part_binary()
+Convert_part_binary(void)
 {
     unsigned char buf[51];
     unsigned long num_facets=0;
@@ -524,7 +524,7 @@
 
 
 static void
-Convert_input()
+Convert_input(void)
 {
     char line[ MAX_LINE_SIZE ];
 
Index: src/conv/ply-g.c
===================================================================
--- src/conv/ply-g.c	(revision 54118)
+++ src/conv/ply-g.c	(working copy)
@@ -129,7 +129,7 @@
 static int cur_face=-1;
 
 void
-log_elements()
+log_elements(void)
 {
     struct element *elemp;
     struct prop *p;
@@ -164,7 +164,7 @@
 
 
 int
-get_endianness()
+get_endianness(void)
 {
     if (bu_byteorder() == BU_BIG_ENDIAN) {
 	/* big Endian */
@@ -615,7 +615,7 @@
 }
 
 int
-read_ply_header()
+read_ply_header(void)
 {
     struct element *elem_ptr = NULL;
 
Index: src/tab/tabinterp.c
===================================================================
--- src/tab/tabinterp.c	(revision 54118)
+++ src/tab/tabinterp.c	(working copy)
@@ -334,7 +334,7 @@
  * O U T P U T
  */
 HIDDEN void
-output()
+output(void)
 {
     int ch;
     struct chan *cp;
@@ -934,7 +934,7 @@
  * Perform the requested interpolation on each channel
  */
 HIDDEN void
-go()
+go(void)
 {
     int ch;
     struct chan *chp;
Index: src/libgcv/test_bottess.c
===================================================================
--- src/libgcv/test_bottess.c	(revision 54118)
+++ src/libgcv/test_bottess.c	(working copy)
@@ -68,7 +68,7 @@
 }
 
 int
-test_tri_intersections()
+test_tri_intersections(void)
 {
     int count = 0;
 #define TRY(suc, t00x,t00y,t00z, t01x,t01y,t01z, t02x,t02y,t02z, t10x,t10y,t10z, t11x,t11y,t11z, t12x,t12y,t12z, p0x,p0y,p0z, p1x,p1y,p1z) { \
@@ -99,7 +99,7 @@
 }
 
 int
-test_face_split_single()
+test_face_split_single(void)
 {
     unsigned long int i, tcount = 0, count = 0, nsplt;
     struct soup_s s;
@@ -191,7 +191,7 @@
 }
 
 int
-test_face_splits()
+test_face_splits(void)
 {
     int count = 0;
 
@@ -232,12 +232,12 @@
     return count;
 }
 
-int test_invert()
+int test_invert(void)
 {
     return -1;
 }
 
-int test_compose()
+int test_compose(void)
 {
     int rval = 0;
     unsigned int i;
@@ -302,7 +302,7 @@
     return rval;
 }
 
-int test_evaluate()
+int test_evaluate(void)
 {
     return -1;
 }
Index: src/gtools/beset/beset.c
===================================================================
--- src/gtools/beset/beset.c	(revision 54118)
+++ src/gtools/beset/beset.c	(working copy)
@@ -46,7 +46,7 @@
 struct rt_db_internal source_obj;
 
 
-void usage() {
+void usage(void) {
     bu_exit(1, "Usage: %s [options] db.g object\nOptions:\n -p #\t\tPopulation size\n -g #\t\tNumber of generations\n -r #\t\tResolution \n -u #\t\tUpper percent of individuals to keep\n -l #\t\tLower percent of individuals to kill\n", bu_getprogname());
 }
 
Index: src/gtools/g_transfer.c
===================================================================
--- src/gtools/g_transfer.c	(revision 54118)
+++ src/gtools/g_transfer.c	(working copy)
@@ -111,7 +111,7 @@
 }
 
 void
-do_something() {
+do_something(void) {
     /* shoot a ray at some geometry just to show that we can */
     struct application ap;
     struct rt_i *rtip;
Index: src/libicv/fileformat.c
===================================================================
--- src/libicv/fileformat.c	(revision 54118)
+++ src/libicv/fileformat.c	(working copy)
@@ -240,7 +240,7 @@
 /* begin public functions */
 
 int
-icv_image_load()
+icv_image_load(void)
 {
     bu_log("icv_image_load not implemented\n");
     return 0;
Index: src/mged/axes.c
===================================================================
--- src/mged/axes.c	(revision 54118)
+++ src/mged/axes.c	(working copy)
@@ -82,7 +82,7 @@
 
 
 static void
-ax_set_dirty_flag()
+ax_set_dirty_flag(void)
 {
     struct dm_list *dmlp;
 
@@ -93,7 +93,7 @@
 
 
 void
-draw_e_axes()
+draw_e_axes(void)
 {
     point_t v_ap1;                 /* axes position in view coordinates */
     point_t v_ap2;                 /* axes position in view coordinates */
@@ -134,7 +134,7 @@
 
 
 void
-draw_m_axes()
+draw_m_axes(void)
 {
     point_t m_ap;			/* axes position in model coordinates, mm */
     point_t v_ap;			/* axes position in view coordinates */
@@ -155,7 +155,7 @@
 
 
 void
-draw_v_axes()
+draw_v_axes(void)
 {
     point_t v_ap;			/* axes position in view coordinates */
     struct ged_axes_state gas;
Index: src/mged/mged.c
===================================================================
--- src/mged/mged.c	(revision 54118)
+++ src/mged/mged.c	(working copy)
@@ -303,7 +303,7 @@
 
 
 void
-reset_input_strings()
+reset_input_strings(void)
 {
     if (BU_LIST_IS_HEAD(curr_cmd_list, &head_cmd_list.l)) {
 	/* Truncate input string */
@@ -516,7 +516,7 @@
 
 
 static void
-do_tab_expansion()
+do_tab_expansion(void)
 {
     int ret;
     Tcl_Obj *result;
Index: src/mged/buttons.c
===================================================================
--- src/mged/buttons.c	(revision 54118)
+++ src/mged/buttons.c	(working copy)
@@ -352,7 +352,7 @@
 
 
 int
-bv_zoomin()
+bv_zoomin(void)
 {
     (void)mged_zoom(2.0);
     return TCL_OK;
@@ -360,7 +360,7 @@
 
 
 int
-bv_zoomout()
+bv_zoomout(void)
 {
     (void)mged_zoom(0.5);
     return TCL_OK;
@@ -368,7 +368,7 @@
 
 
 int
-bv_rate_toggle()
+bv_rate_toggle(void)
 {
     mged_variables->mv_rateknobs = !mged_variables->mv_rateknobs;
     set_scroll_private();
@@ -377,7 +377,7 @@
 
 
 int
-bv_top()
+bv_top(void)
 {
     /* Top view */
     setview(0.0, 0.0, 0.0);
@@ -386,7 +386,7 @@
 
 
 int
-bv_bottom()
+bv_bottom(void)
 {
     /* Bottom view */
     setview(180.0, 0.0, 0.0);
@@ -395,7 +395,7 @@
 
 
 int
-bv_right()
+bv_right(void)
 {
     /* Right view */
     setview(270.0, 0.0, 0.0);
@@ -404,7 +404,7 @@
 
 
 int
-bv_left()
+bv_left(void)
 {
     /* Left view */
     setview(270.0, 0.0, 180.0);
@@ -413,7 +413,7 @@
 
 
 int
-bv_front()
+bv_front(void)
 {
     /* Front view */
     setview(270.0, 0.0, 270.0);
@@ -422,7 +422,7 @@
 
 
 int
-bv_rear()
+bv_rear(void)
 {
     /* Rear view */
     setview(270.0, 0.0, 90.0);
@@ -431,7 +431,7 @@
 
 
 int
-bv_vrestore()
+bv_vrestore(void)
 {
     /* restore to saved view */
     if (vsaved) {
@@ -448,7 +448,7 @@
 
 
 int
-bv_vsave()
+bv_vsave(void)
 {
     /* save current view */
     sav_vscale = view_state->vs_gvp->gv_scale;
@@ -468,7 +468,7 @@
  * can't be bound as "adc", only as "press adc".
  */
 int
-bv_adcursor()
+bv_adcursor(void)
 {
     if (adc_state->adc_draw) {
 	/* Was on, turn off */
@@ -484,7 +484,7 @@
 
 
 int
-bv_reset() {
+bv_reset(void) {
     /* Reset view such that all solids can be seen */
     size_reset();
     setview(0.0, 0.0, 0.0);
@@ -494,14 +494,14 @@
 
 
 int
-bv_45_45() {
+bv_45_45(void) {
     setview(270.0+45.0, 0.0, 270.0-45.0);
     return TCL_OK;
 }
 
 
 int
-bv_35_25() {
+bv_35_25(void) {
     /* Use Azimuth=35, Elevation=25 in GIFT's backwards space */
     setview(270.0+25.0, 0.0, 270.0-35.0);
     return TCL_OK;
@@ -546,7 +546,7 @@
 
 
 int
-be_o_illuminate()
+be_o_illuminate(void)
 {
     if (not_state(ST_VIEW, "Matrix Illuminate"))
 	return TCL_ERROR;
@@ -564,7 +564,7 @@
 
 
 int
-be_s_illuminate()
+be_s_illuminate(void)
 {
     if (not_state(ST_VIEW, "Primitive Illuminate"))
 	return TCL_ERROR;
@@ -577,7 +577,7 @@
 
 
 int
-be_o_scale()
+be_o_scale(void)
 {
     if (not_state(ST_O_EDIT, "Matrix Scale"))
 	return TCL_ERROR;
@@ -595,7 +595,7 @@
 
 
 int
-be_o_xscale()
+be_o_xscale(void)
 {
     if (not_state(ST_O_EDIT, "Matrix Local X Scale"))
 	return TCL_ERROR;
@@ -613,7 +613,7 @@
 
 
 int
-be_o_yscale()
+be_o_yscale(void)
 {
     if (not_state(ST_O_EDIT, "Matrix Local Y Scale"))
 	return TCL_ERROR;
@@ -631,7 +631,7 @@
 
 
 int
-be_o_zscale()
+be_o_zscale(void)
 {
     if (not_state(ST_O_EDIT, "Matrix Local Z Scale"))
 	return TCL_ERROR;
@@ -649,7 +649,7 @@
 
 
 int
-be_o_x()
+be_o_x(void)
 {
     if (not_state(ST_O_EDIT, "Matrix X Motion"))
 	return TCL_ERROR;
@@ -663,7 +663,7 @@
 
 
 int
-be_o_y()
+be_o_y(void)
 {
     if (not_state(ST_O_EDIT, "Matrix Y Motion"))
 	return TCL_ERROR;
@@ -677,7 +677,7 @@
 
 
 int
-be_o_xy()
+be_o_xy(void)
 {
     if (not_state(ST_O_EDIT, "Matrix XY Motion"))
 	return TCL_ERROR;
@@ -691,7 +691,7 @@
 
 
 int
-be_o_rotate()
+be_o_rotate(void)
 {
     if (not_state(ST_O_EDIT, "Matrix Rotation"))
 	return TCL_ERROR;
@@ -705,7 +705,7 @@
 
 
 int
-be_accept()
+be_accept(void)
 {
     struct ged_display_list *gdlp;
     struct ged_display_list *next_gdlp;
@@ -770,7 +770,7 @@
 
 
 int
-be_reject()
+be_reject(void)
 {
     struct ged_display_list *gdlp;
     struct ged_display_list *next_gdlp;
@@ -845,7 +845,7 @@
 
 
 int
-be_s_edit()
+be_s_edit(void)
 {
     /* solid editing */
     if (not_state(ST_S_EDIT, "Primitive Edit (Menu)"))
@@ -858,7 +858,7 @@
 
 
 int
-be_s_rotate()
+be_s_rotate(void)
 {
     /* rotate solid */
     if (not_state(ST_S_EDIT, "Primitive Rotate"))
@@ -874,7 +874,7 @@
 
 
 int
-be_s_trans()
+be_s_trans(void)
 {
     /* translate solid */
     if (not_state(ST_S_EDIT, "Primitive Translate"))
@@ -891,7 +891,7 @@
 
 
 int
-be_s_scale()
+be_s_scale(void)
 {
     /* scale solid */
     if (not_state(ST_S_EDIT, "Primitive Scale"))
Index: src/libfb/if_X24.c
===================================================================
--- src/libfb/if_X24.c	(revision 54118)
+++ src/libfb/if_X24.c	(working copy)
@@ -2418,7 +2418,7 @@
  * X 2 4 _ Z A P M E M
  */
 HIDDEN void
-X24_zapmem()
+X24_zapmem(void)
 {
 #ifndef HAVE_SYS_MMAN_H
     int shmid;
Index: src/sig/smod.c
===================================================================
--- src/sig/smod.c	(revision 54118)
+++ src/sig/smod.c	(working copy)
@@ -132,7 +132,7 @@
 
 
 void
-mk_trans_tbl()
+mk_trans_tbl(void)
 {
     int i, j, k;
     double d;
Index: src/rt/view_bot_faces.c
===================================================================
--- src/rt/view_bot_faces.c	(revision 54118)
+++ src/rt/view_bot_faces.c	(working copy)
@@ -311,7 +311,7 @@
 void view_cleanup(struct rt_i *UNUSED(rtip))
 {
 }
-void application_init()
+void application_init(void)
 {
 }
 
Index: src/rt/viewarea.c
===================================================================
--- src/rt/viewarea.c	(revision 54118)
+++ src/rt/viewarea.c	(working copy)
@@ -652,7 +652,7 @@
  * ray hits across all regions.
  */
 static double
-set_factor() {
+set_factor(void) {
 if (ZERO(units - 1.0))
 	return bu_units_conversion("m");
     else if (ZERO(units - 10.0))
@@ -1213,7 +1213,7 @@
 /* stubs */
 void view_setup(struct rt_i *UNUSED(rtip)) {}
 void view_cleanup(struct rt_i *UNUSED(rtip)) {}
-void application_init () {}
+void application_init (void) {}
 
 
 /*
Index: src/libbn/randmt.c
===================================================================
--- src/libbn/randmt.c	(revision 54118)
+++ src/libbn/randmt.c	(working copy)
@@ -61,7 +61,7 @@
 static struct _internal_state_s global_state = { MERSENNE_MAGIC, N+1, {0} };
 
 void *
-bn_randmt_state_create()
+bn_randmt_state_create(void)
 {
     struct _internal_state_s *is;
 
@@ -147,7 +147,7 @@
     bn_randmt_state_seed(&global_state, (uint32_t)seed);
 }
 
-double bn_randmt()
+double bn_randmt(void)
 {
     return bn_randmt_state(&global_state);
 }
Index: src/libbn/plot3.c
===================================================================
--- src/libbn/plot3.c	(revision 54118)
+++ src/libbn/plot3.c	(working copy)
@@ -83,7 +83,7 @@
  */
 
 int
-pl_getOutputMode() {
+pl_getOutputMode(void) {
     return pl_outputMode;
 }
 
Index: src/libbn/vert_tree.c
===================================================================
--- src/libbn/vert_tree.c	(revision 54118)
+++ src/libbn/vert_tree.c	(working copy)
@@ -74,7 +74,7 @@
 
 
 struct vert_root *
-create_vert_tree()
+create_vert_tree(void)
 {
     struct vert_root *tree;
 
@@ -90,7 +90,7 @@
 }
 
 struct vert_root *
-create_vert_tree_w_norms()
+create_vert_tree_w_norms(void)
 {
     struct vert_root *tree;
 
Index: src/libbn/ulp.c
===================================================================
--- src/libbn/ulp.c	(revision 54118)
+++ src/libbn/ulp.c	(working copy)
@@ -49,7 +49,7 @@
 /* #define HAVE_IEEE754 1 */
 
 double
-bn_epsilon()
+bn_epsilon(void)
 {
 #if defined(DBL_EPSILON)
     return DBL_EPSILON;
@@ -69,7 +69,7 @@
 
 
 float
-bn_epsilonf()
+bn_epsilonf(void)
 {
 #if defined(FLT_EPSILON)
     return FLT_EPSILON;
@@ -89,7 +89,7 @@
 
 
 double
-bn_dbl_min()
+bn_dbl_min(void)
 {
     long long val = (1LL<<52);
     return *(double *)&val;
@@ -97,7 +97,7 @@
 
 
 double
-bn_dbl_max()
+bn_dbl_max(void)
 {
 #if defined(DBL_MAX)
 	return DBL_MAX;
@@ -112,7 +112,7 @@
 
 
 double
-bn_flt_min()
+bn_flt_min(void)
 {
     long val = (1LL<<23);
     return *(float *)&val;
@@ -120,7 +120,7 @@
 
 
 double
-bn_flt_max()
+bn_flt_max(void)
 {
 #if defined(FLT_MAX)
 	return FLT_MAX;
@@ -135,28 +135,28 @@
 
 
 double
-bn_flt_min_sqrt()
+bn_flt_min_sqrt(void)
 {
     return sqrt(bn_flt_min());
 }
 
 
 double
-bn_flt_max_sqrt()
+bn_flt_max_sqrt(void)
 {
     return sqrt(bn_flt_max());
 }
 
 
 double
-bn_dbl_min_sqrt()
+bn_dbl_min_sqrt(void)
 {
     return sqrt(bn_dbl_min());
 }
 
 
 double
-bn_dbl_max_sqrt()
+bn_dbl_max_sqrt(void)
 {
     return sqrt(bn_dbl_max());
 }
Index: src/lgt/texture.c
===================================================================
--- src/lgt/texture.c	(revision 54118)
+++ src/lgt/texture.c	(working copy)
@@ -82,9 +82,7 @@
 }
 
 static RGBpixel	*
-icon_Lookup( iconp, u, v )
-    struct icon_texture	*iconp;
-    int	u, v;
+icon_Lookup( struct icon_texture *iconp, int  u, int v )
 {
     static int	word_sz = sizeof(icon_t) * BITS_PER_BYTE;
     static RGBpixel	black_pixel = { 0, 0, 0 };
Index: src/lgt/do_options.c
===================================================================
--- src/lgt/do_options.c	(revision 54118)
+++ src/lgt/do_options.c	(working copy)
@@ -441,7 +441,7 @@
 
 /*ARGSUSED*/
 static int
-f_Menu()
+f_Menu(void)
 {
     prnt_Menu();
     return 1;
@@ -489,7 +489,7 @@
 
 /*ARGSUSED*/
 static int
-f_Raytrace()
+f_Raytrace(void)
 {
     if (rt_g.rtg_parallel)
 	bu_log("Will use %d processors.\n", npsw);
@@ -682,7 +682,7 @@
 /* f _ B a t c h () */
 /*ARGSUSED*/
 static int
-f_Batch()
+f_Batch(void)
 {
     static char *batch_com[8];
     char script[MAXPATHLEN];
@@ -809,7 +809,7 @@
 
 
 void
-setGridSize()
+setGridSize(void)
 {
     char buf[10];
     char *ar[3];
@@ -861,7 +861,7 @@
 /* f_Cursor_Module() */
 /*ARGSUSED*/
 static int
-f_Cursor_Module()
+f_Cursor_Module(void)
 {
     static int x = -1, y = -1;
     int c;
@@ -1190,7 +1190,7 @@
 /* f _ A n i m a t e () */
 /*ARGSUSED*/
 static int
-f_Animate()
+f_Animate(void)
 {
     (void) sprintf(prompt, "Full-screen animation ? [y|n](%c) ", movie.m_fullscreen ? 'y' : 'n');
     if (get_Input(input_ln, MAX_LN, prompt) != NULL)
@@ -1647,7 +1647,7 @@
 /* f _ M o v i e () */
 /*ARGSUSED*/
 static int
-f_Movie()
+f_Movie(void)
 {
     int ret = TRUE;
     char buf[10];
@@ -1887,7 +1887,7 @@
 /* f _ P r n t _ R e g i o n s ()  */
 /*ARGSUSED*/
 static int
-f_Prnt_Regions()
+f_Prnt_Regions(void)
 {
     prnt_Trie(reg_triep, 0);
     if (popups)
@@ -1899,7 +1899,7 @@
 /* f _ S e t _ R e g i o n _ I R () */
 /*ARGSUSED*/
 static int
-f_Set_Region_IR()
+f_Set_Region_IR(void)
 {
     OcList *ocp;
     OcList *oclist;
@@ -2495,7 +2495,7 @@
 /* f _ S c a l e _ G r i d () */
 /*ARGSUSED*/
 static int
-f_Scale_Grid()
+f_Scale_Grid(void)
 {
     bu_log("The -g option is obsolete, use -G to set view size.\n");
     return 1;
@@ -2778,7 +2778,7 @@
 /* f _ Q u i t () */
 /*ARGSUSED*/
 static int
-f_Quit()
+f_Quit(void)
 {
     exit_Neatly(0);
     /*NOTREACHED*/
@@ -2789,7 +2789,7 @@
 /* f _ R e d r a w () */
 /*ARGSUSED*/
 static int
-f_Redraw()
+f_Redraw(void)
 {
     if (tty) {
 	(void) ClrText();
@@ -2882,7 +2882,7 @@
 /* f _ F b c l e a r () */
 /*ARGSUSED*/
 static int
-f_Fbclear()
+f_Fbclear(void)
 {
     static RGBpixel black = { 0, 0, 0 };
     if (! ready_Output_Device(0))
Index: src/libdm/focus.c
===================================================================
--- src/libdm/focus.c	(revision 54118)
+++ src/libdm/focus.c	(working copy)
@@ -43,7 +43,7 @@
 
 #ifdef DM_X
 static void
-dm_x11_applicationfocus() {
+dm_x11_applicationfocus(void) {
 #ifdef HAVE_CARBON_CARBON_H
     OSStatus status;
     ProcessSerialNumber psn = {kNoProcess, kNoProcess};
@@ -72,7 +72,7 @@
  * attempt to bring the current application to focus
  */
 void
-dm_applicationfocus() {
+dm_applicationfocus(void) {
 #ifdef DM_X
     dm_x11_applicationfocus();
 #endif
Index: misc/CMake/BRLCAD_CompilerFlags.cmake
===================================================================
--- misc/CMake/BRLCAD_CompilerFlags.cmake	(revision 54118)
+++ misc/CMake/BRLCAD_CompilerFlags.cmake	(working copy)
@@ -50,6 +50,9 @@
 BRLCAD_CHECK_CXX_FLAG(fexpensive-optimizations GROUPS OPTIMIZE_CXX_FLAGS)
 BRLCAD_CHECK_CXX_FLAG(finline-functions GROUPS OPTIMIZE_CXX_FLAGS)
 BRLCAD_CHECK_CXX_FLAG("finline-limit=10000 --param inline-unit-growth=300 --param large-function-growth=300" GROUPS OPTIMIZE_CXX_FLAGS)
+
+BRLCAD_CHECK_C_FLAG(Wold-style-definition)
+
 if(${BRLCAD_OPTIMIZED_BUILD} MATCHES "ON")
   if(NOT BRLCAD_ENABLE_PROFILING AND NOT BRLCAD_FLAGS_DEBUG)
     BRLCAD_CHECK_C_FLAG(fomit-frame-pointer GROUPS OPTIMIZE_C_FLAGS)
